<?php
    /**
     * @var Product $product
     * @var string $class
     */
    use common\modules\product\models\Product;
    use yii\helpers\Url;

?>

<div class="catalog_item">
  <div class="wrapper">
    <?php if (!empty($product->events)) { ?>
    <div class="events events_not_link">
      
        <?php
            foreach($product->events as $event){
                if($event->banner){
                    echo \common\components\artboximage\ArtboxImageHelper::getImage($event->getImageUrl('banner'), 'banner_list',[
                        'class' => 'banner-in-list'
                    ]);
                }
            }
      
        ?>
      
    </div>
    <?php } ?>
    <div class="item_container">
        <div class="img">
        <a href="<?=Url::to([
                                'catalog/product',
                                'product' => $product->alias,
                            ])?>">
            <?= \common\components\artboximage\ArtboxImageHelper::getImage(
                $product->imageUrl,
                'list',
                [
                    'alt'      => $product->getFullName(),
                    'title'    => $product->getFullName(),
                    'class'    => 'selected',
                    'itemprop' => 'image',
                ]
            ) ?>
        </a>

      </div>

        <div class="style title-name_ title_name-collect">
            <a href="<?= Url::to([
                'catalog/product',
                'product' => $product->alias
            ]) ?>" title="<?= $product->fullname ?>">
<!--                <p><span>--><?php //echo $product->category->name ?><!--</span></p>-->
                <p><span><?= $product->fullName ?></span></p>

            </a>

        </div>

        <div class="style in_stock_wr">
            <div class="in_stock_">
                <span class="yes_stock">есть на складе</span>

            </div>
            <div class="title-sku">
                <span>Код: <?=$product->variant->sku?></span>
            </div>
        </div>
      <div class="style price">
        <div class="dlexfduinxipi">
          <span class="main"> <?php
                  echo \Yii::$app->formatter->asDecimal($product->variant->price);
              ?> <span class="currency">грн</span>
                                                        </span>
        </div>
      </div>
        <div class="style info_icons">
            <a href="#" class="btn btnBuy buy_button" data-id="<?php echo $product->variant->product_variant_id; ?>" data-toggle="modal" data-target="#buyForm" lang="5893">Купить</a>

            <?php /*
          <ul class="ul wishlike_block">
            <li class="compare">
              <a onclick="add2compare(); return false;" class="compare compare_text_link_5893" lang="5893" href="#">К сравнению</a>
              <span class="icon"></span>
            </li>
            <li class="like">
              <a class="like like_text_link_5893" lang="5893" href="#">В избранное</a><span class="icon"></span>
            </li>
          </ul>
          */ ?>

        </div>
<!--      <div class="additional_info params">-->
<!--      </div>-->
<!--      <div class="opacity_bg"></div>-->
    </div>
  </div>
</div>
